- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpePdfArray Class Reference
[Ipe Base]

The PDF array object. More...

Inherits IpePdfObj.

List of all members.

## Public Member Functions

- virtual const IpePdfArray * Array () const
- virtual void Write (IpeStream &stream) const
- void Append (const IpePdfObj *)
- int Count () const
- const IpePdfObj * Obj (int index, const IpePdfFile *file) const

## Detailed Description

The PDF array object.

## Member Function Documentation

const IpePdfArray * IpePdfArray::Array | ( |  | ) | const`[virtual]`

Return this object as PDF array object.

Reimplemented from IpePdfObj.

void IpePdfArray::Append | ( | const IpePdfObj * | obj | ) |

Append an object to array.

Array takes ownership of the object.

const IpePdfObj * IpePdfArray::Obj | ( | int | index,
|  | const IpePdfFile * | file |
| ) |  |  | const

Return object with index in array.

Indirect objects (references) are looked up if file is not zero, and the object referred to is returned (0 if it does not exist). Object remains owned by array.

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp